# Uses of Interface
org.eclipse.net4j.util.cache.ICacheMonitor.ConditionPolicy

Packages that use ICacheMonitor.ConditionPolicy
Package
Description
org.eclipse.net4j.util.cache
A generic caching and memory monitoring framework.

## Uses of ICacheMonitor.ConditionPolicy in org.eclipse.net4j.util.cache

Classes in org.eclipse.net4j.util.cache that implement ICacheMonitor.ConditionPolicy
Modifier and Type
Class
Description
`class`
`HysteresisConditionPolicy`
`class`
`ThresholdConditionPolicy`
Methods in org.eclipse.net4j.util.cache that return ICacheMonitor.ConditionPolicy
Modifier and Type
Method
Description
`ICacheMonitor.ConditionPolicy`
CacheMonitor.`getConditionPolicy()`
`ICacheMonitor.ConditionPolicy`
ICacheMonitor.`getConditionPolicy()`
Methods in org.eclipse.net4j.util.cache with parameters of type ICacheMonitor.ConditionPolicy
Modifier and Type
Method
Description
`void`
CacheMonitor.`setConditionPolicy(ICacheMonitor.ConditionPolicy conditionPolicy)`